## javax.servlet
Interface ReadListener

All Superinterfaces:
  EventListener

    public interface ReadListener

extends EventListener

This class represents a call-back mechanism that will notify implementations as HTTP request data becomes available to be read without blocking.

Since:
  Servlet 3.1

Method Summary
`void` `onAllDataRead()` Invoked when all data for the current request has been read.
`void` `onDataAvailable()` Invoked when data is available to be read without blocking.
`void` `onError(Throwable t)` Invoked when an error occurs processing the request.

Method Detail

### onDataAvailable

    void onDataAvailable()

  Invoked when data is available to be read without blocking.

### onAllDataRead

    void onAllDataRead()

  Invoked when all data for the current request has been read.

### onError

    void onError(Throwable t)

  Invoked when an error occurs processing the request.

Copyright © 2012 GlassFish Community. All Rights Reserved.